apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: mentor-api
    environemnt: testing
    system: gitops
    team: calamari
  name: mentor-api-testing
  namespace: openshift-gitops
spec:
  destination:
    namespace: mentor-api-testing
    server: https://kubernetes.default.svc
  project: taxonomy
  source:
    path: kustomize/overlays/testing
    repoURL: https://gitlab.com/arbetsformedlingen/taxonomy-dev/backend/nlp/mentor-api-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=true
